import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BillIdMappingModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
interface BillIdMappingModelCU extends ConditionUtil<BillIdMappingModelCU> {
    ID: FieldUtil<BillIdMappingModelCU>;
    TAPDID: FieldUtil<BillIdMappingModelCU>;
    PARKID: FieldUtil<BillIdMappingModelCU>;
    BILLID: FieldUtil<BillIdMappingModelCU>;
    CREATETIME: FieldUtil<BillIdMappingModelCU>;
}
declare class BillIdMappingModelMU extends TableUtilImpl<BillIdMappingModelCU, BillIdMappingModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BillIdMappingModelCU;
    static get ID(): FieldUtil<BillIdMappingModelCU>;
    static get TAPDID(): FieldUtil<BillIdMappingModelCU>;
    static get PARKID(): FieldUtil<BillIdMappingModelCU>;
    static get BILLID(): FieldUtil<BillIdMappingModelCU>;
    static get CREATETIME(): FieldUtil<BillIdMappingModelCU>;
    get ID(): FieldUtil<BillIdMappingModelCU>;
    get TAPDID(): FieldUtil<BillIdMappingModelCU>;
    get PARKID(): FieldUtil<BillIdMappingModelCU>;
    get BILLID(): FieldUtil<BillIdMappingModelCU>;
    get CREATETIME(): FieldUtil<BillIdMappingModelCU>;
}
export { BillIdMappingModelMU, BillIdMappingModelCU };
